@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dbo: <http://dbpedia.org/ontology/> .
@prefix sosa: <http://www.w3.org/ns/sosa/> .
@prefix m4i: <http://w3id.org/nfdi4ing/metadata4ing#>.
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .

aps:c4eb5a0e-f314-44a6-9f9a-c6b6c9208297
    a sh:NodeShape ;
    dcterms:subject dfgfo:41 ;
    dcterms:title "base station"@en ; 
    dcterms:title "Basisstation"@de ; 
    dcterms:description "Basisstation (auch \"Anker\" genannt) eines LSM-Messsystems."@de ;
    dcterms:description "Base Station (also called \"anchor\") of a LSM device."@en ;
    dcterms:creator <https://orcid.org/0000-0002-9413-1874> ;
    dcterms:license <https://spdx.org/licenses/CC0-1.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    dcterms:subject dfgfo:407-02 ;
    owl:imports aps:ae3cd8e6-645d-4652-a7f4-79b74c7aee8f ; # Angle
    owl:imports aps:0e43324b-78c2-4bc3-b7db-661b2b0ff1cb ; # Cartesian Coordinates
    owl:imports aps:ef8d75dd-4a14-4edd-9e4b-9b738fdb4d34 ; # Calibration Data
    sh:property [
        sh:path m4i:hasParameter ;
        sh:name "orientation"@en ;
        sh:description "Orientation of the base as quaternion."@en ;
		sh:qualifiedValueShape aps:ae3cd8e6-645d-4652-a7f4-79b74c7aee8f ; # Angle
		sh:qualifiedValueShapesDisjoint true ;
		sh:qualifiedMinCount 1 ;
		sh:qualifiedMaxCount 1 ;
    ] ;
    sh:property [
        sh:path m4i:hasParameter ;
        sh:name "position"@en ;
        sh:description "Three dimensional position of the base station in Cartesian coordinates in meters."@en ;
		sh:qualifiedValueShape aps:0e43324b-78c2-4bc3-b7db-661b2b0ff1cb ; # Cartesian Coordinates
		sh:qualifiedValueShapesDisjoint true ;
		sh:qualifiedMinCount 1 ;
		sh:qualifiedMaxCount 1 ;
    ] ;
    sh:property [
        sh:path m4i:hasParameter ;
        sh:name "calibration data"@en ;
        sh:description "Data about the last calibration of the device"@en ;
        sh:qualifiedValueShape aps:ef8d75dd-4a14-4edd-9e4b-9b738fdb4d34 ; # Calibration Data 
        sh:qualifiedValueShapesDisjoint true ;
		sh:qualifiedMinCount 1 ;
		sh:qualifiedMaxCount 1 ;
    ] ;
    sh:property [
        sh:path dbo:status ;
        sh:name "state"@en ;
        sh:description "State of the base."@en ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; 
    ] ;
.
